package domain


type AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        经营店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道编码：2 美团，3 饿了么，26 京东到家，31 翱象淘鲜达，32 翱象共享库存     */
    ChannelCode  *string `json:"channel_code,omitempty" `

    /*
        是否渠道可售 1可售（上架）0：不可售（下架）     */
    OnlineSaleFlag  *int64 `json:"online_sale_flag,omitempty" `

}

func (s *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq) SetSkuCode(v string) *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq {
    s.SkuCode = &v
    return s
}
func (s *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq) SetStoreId(v string) *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq {
    s.StoreId = &v
    return s
}
func (s *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq) SetChannelCode(v string) *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq {
    s.ChannelCode = &v
    return s
}
func (s *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq) SetOnlineSaleFlag(v int64) *AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq {
    s.OnlineSaleFlag = &v
    return s
}
